#!/bin/sh
{{ ansible_managed | comment }}
#---------------------------------------------------------------------------
# Copyright BPC International, Inc. (c) 1998-1989
#---------------------------------------------------------------------------
# Module Name:   %M%
# Date:          %H%
# Time:          %T%
# SCCS Version:  %I%
# SCCS Release:  %R%
# SCCS Level:    %L%
# SCCS Branch:   %B%
# SCCS Filename: %F%
# Identifier:    %W%
#---------------------------------------------------------------------------
# Designer(s):
# Summary:
#---------------------------------------------------------------------------

SHLIB_PATH=/usr/lib

#--------------------------------------------------------------------------
# SV defines for the production system
#--------------------------------------------------------------------------

USER=$LOGNAME export USER
#SV_HOME=$HOME; export SV_HOME

SV_BACKUP_DIR=$SV_HOME/backup

SV_DEVELOPER=svfe2csy ; export SV_DEVELOPER

SV_POSTING_DIR=output/posting ; export SV_POSTING_DIR
SV_POSTING_FILE=post ; export SV_POSTING_FILE

SV_CUSTOMER_ID=BSEMOD ; export SV_CUSTOMER_ID
export SV_LICENSE_KEY=BSEMOD63569948

SV_BASE_SHRMEM_KEY=0x3011; export SV_BASE_SHRMEM_KEY
SV_QUEUE_SHRMEM_KEY=0x3012; export SV_QUEUE_SHRMEM_KEY
SV_ATMINT_KEY=0x3013 ; export SV_ATMINT_KEY
SV_NWINT_KEY=0x3014 ; export SV_NWINT_KEY
SV_CROUT_MON_KEY=0x3015 ; export SV_CROUT_MON_KEY
SV_MCP_SHM_KEY=0x3016 ; export SV_MCP_SHM_KEY
SV_STDAUTH_KEY=0x3017 ; export SV_STDAUTH_KEY
SV_EPAY_KEY=0x3018 ; export SV_EPAY_KEY
SV_HSTINT_KEY=0x3019; export SV_HSTINT_KEY
SV_ATNDNT_KEY=0x3020; export SV_ATNDNT_KEY
SV_SMS_SENDER_SHR_CTL_KEY=0x3021; export SV_SMS_SENDER_SHR_CTL_KEY
SV_SAF_LIST_MANAGER_SHR_CTL_KEY=0x3022; export SV_SAF_LIST_MANAGER_SHR_CTL_KEY
SV_SAF_LIST_MANAGER_SHR_CACHE_KEY=0x3023; export SV_SAF_LIST_MANAGER_SHR_CACHE_KEY

SV_ATMINT_WINCOR_KEY=0x3022; export SV_ATMINT_WINCOR_KEY
SV_ATMINT_DIEBOLD_KEY=0x3024; export SV_ATMINT_DIEBOLD_KEY
SV_SHR_CACHE_CTL_KEY=0x3030; export SV_SHR_CACHE_CTL_KEY
SV_SHR_CACHE_SZ_KEY=0x3031; export SV_SHR_CACHE_SZ_KEY
SV_SHR_CACHE_KEY=0x3032; export SV_SHR_CACHE_KEY

SV_STAND_ALONE=FALSE ; export SV_STAND_ALONE
SV_NO_MONITOR=TRUE ; export SV_NO_MONITOR
SV_DEBUG_LEVEL=4; export SV_DEBUG_LEVEL

SV_RPT_DIR={{ svfe_rpt_dir }} ; export SV_RPT_DIR
SV_FORMS=$SV_HOME/rdbms/forms ; export SV_FORMS

#SV_PROJECT_CODE=INF ; export SV_PROJECT_CODE

#ATNDNT_CONFIG_FILE="atndnt_$USER.cfg" ; export ATNDNT_CONFIG_FILE

#--------------------------------------------------------------------------
# SV defines relating to specific communications modules.
#--------------------------------------------------------------------------
#TODO: WHAT IS THIS ?
#BPC_SOCKPAIR_PORT=6000; export BPC_SOCKPAIR_PORT
#SV_GW_PORT=5200; export SV_GW_PORT
#SV_X25_CALLED_ADDR=300003240003; export SV_X25_CALLED_ADDR
#BPC_SNA_LINKNAME=ATMLINK;export BPC_SNA_LINKNAME
#CLEO_BASE_DIR=/user2/cleo_int/syn;export CLEO_BASE_DIR
#SV_TXROUT_HOST=hp; export SV_TXROUT_HOST

#--------------------------------------------------------------------------
# ORACLE defines that should be set up when a system is first constructed
# You need to set TNS_ADMIN and TWO_TASK or ORACLE_SID to connect to database
#--------------------------------------------------------------------------
#ORACLE_SID=SVISTA2; export ORACLE_SID

#ORACLE_HOME=`grep "^${ORACLE_SID}:" /etc/oratab | cut -d: -f2` ; export ORACLE_HOME

##
## if you need more than one diretory in your path, all directories should  be
## separated by ':'
##

#PATH=$ORACLE_HOME/bin:${PATH}; export PATH
#LD_LIBRARY_PATH=/usr/lib
#LD_LIBRARY_PATH=$ORACLE_HOME/lib:${LD_LIBRARY_PATH}; export LD_LIBRARY_PATH

## setting for all products
#ORACLE_TERM=vt220; export ORACLE_TERM

## setting for web forms and reports integration
HOSTNAME=`hostname`; export HOSTNAME


ORACLE_PROC=$ORACLE_HOME
export ORACLE_PROC

NLS_LANG=AMERICAN_AMERICA.AL32UTF8; export NLS_LANG

TMPDIR=$SV_HOME/tmp ; export TMPDIR

#--------------------------------------------------------------------------
# General UNIX defines
#--------------------------------------------------------------------------

PATH=$PATH:.:/sbin:/usr/bin:/usr/local/bin:/usr/local/gnu/bin:$SV_HOME/bin:$SV_HOME/src/bin:$ORACLE_PROC/bin:/usr/bin/X11:$ORACLE_PROC
export PATH

EDITOR=/usr/bin/vi ; export EDITOR

LANGUAGE=American_America.US7ASCII ; export LANGUAGE

#PS1="`uname -n`:$SV_USER> "


#--------------------------------------------------------------------------
# SV defines for the development system
#--------------------------------------------------------------------------
SV_INC=$SV_HOME/src/include
#LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$SV_HOME/src/lib:$ORACLE_HOME/rdbms/lib:$ORACLE_HOME/lib
SHLIB_PATH=${SHLIB_PATH}:$ORACLE_HOME/lib

export LD_LIBRARY_PATH SV_INC SC_STATUS SHLIB_PATH


#--------------------------------------------------------------------------
# SV defines for the development system
#--------------------------------------------------------------------------
SV_BASE=$SV_HOME ; export SV_BASE
SV_USER=$LOGNAME; export SV_USER

#--------------------------------------------------------------------------
# SV message log
#--------------------------------------------------------------------------
USE_RPT_ERR=NO; export USE_RPT_ERR

ATNDNT_LOG=$SV_HOME/output/atndntfiles ; export ATNDNT_LOG
SHOW_DATA=T
SV_WRITE_TO_MSGLOG=NO ; export SV_WRITE_TO_MSGLOG

echo

#--------------------------------------------------------------------------
# Wallet configuration
#--------------------------------------------------------------------------
#export DB_LOGIN=SVISTA/attH9A47Wp@svfe
#export WALLET_ADDR="127.0.0.1:1512"
#export DB_ENC_FILE=$SV_HOME/wallet/walet.key
#export RSA_ENC_FILE=$SV_HOME/wallet/walet.key
export DB_USER=SVISTA@svfe
SV_STRING_INCOMMING_ENCODING=ISO-8859-2 ; export SV_STRING_INCOMMING_ENCODING


#--------------------------------------------------------------------------
#Posint configuration
#--------------------------------------------------------------------------
SV_POSINT_KEY=0x3033; export SV_POSINT_KEY
SV_8583POS_KEY=0x3034; export SV_8583POS_KEY

#--------------------------------------------------------------------------
# ABS Time conf
#--------------------------------------------------------------------------
SV_ABS_TIME=2; export SV_ABS_TIME


DB_BO_LOGIN={{ backoffice_user|default('main') }}/{{ backoffice_password|default('main1') }}@{{ backoffice_host|default('localhost') }}:{{ backoffice_port|default(1521) }}/{{ backoffice_service|default('svbo') }}; export DB_BO_LOGIN
SV_BOINT_KEY=0x3026; export SV_BOINT_KEY
SV_SHR_CACHE_CTL_KEY=0x3030; export SV_SHR_CACHE_CTL_KEY
SV_SHR_CACHE_SZ_KEY=0x3031; export SV_SHR_CACHE_SZ_KEY
SV_SHR_CACHE_KEY=0x3032; export SV_SHR_CACHE_KEY

#--------------------------------------------------------------------------
SV_EVLOG_ENABLED=1; export SV_EVLOG_ENABLED

# ------- R21.10
SV_UFMTPOS_KEY=0x3033; export SV_UFMTPOS_KEY

# ------- R21.40.089
SV_SWDIST_KEY=0x30543; export SV_SWDIST_KEY
